Name:           desktop-data-model
Version:        1.2.4
Release:        1%{?dist}
Summary:        Engine providing live updates of online data to the desktop

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/OnlineDesktop
Source0:        http://download.gnome.org/sources/desktop-data-model/desktop-data-model-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Previously, libddm-1.so was shipped in the mugshot package
Conflicts: mugshot < 1.1.90-1

BuildRequires:  glib2-devel >= 2.6
BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  loudmouth-devel >= 1.0.3-3
BuildRequires:  dbus-devel >= 0.61
BuildRequires:  dbus-glib-devel >= 0.61 
BuildRequires:  pcre-devel >= 6.3
BuildRequires:  gnome-desktop-devel >= 2.10.0
BuildRequires:  sqlite-devel >= 3.0.0
BuildRequires:  libXScrnSaver-devel

# 1.0.3-3 has a backport from 1.0.4 to fix various segfaults
Requires:       loudmouth >= 1.0.3-3

%description
desktop-data-model provides an engine and client library that allow
desktop applications to retrieve data from the online.gnome.org server
and elsewhere and get updates when the data changes. This allows
creating applications that provide a live display of information
from the Internet.

%package devel
Summary: Development headers for Online Desktop Data Model
Group: Development/Languages
Requires: pkgconfig
Requires: desktop-data-model = %{version}-%{release}
Conflicts: mugshot-devel < 1.1.90-1
Obsoletes: mugshot-devel

%description devel
This package contains libraries for Online Desktop Data Model.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Don't package a .la file for the component .so
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo %{version} > %{_datadir}/desktop-data-model/version
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%ghost %{_datadir}/desktop-data-model/version
%{_libexecdir}/desktop-data-engine
%{_datadir}/dbus-1/services/*.service
%{_libdir}/*.so.*

%files devel
%dir %{_includedir}/ddm-1
%{_includedir}/ddm-1/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Thu Apr 24 2008 Colin Walters <walters@redhat.com> - 1.2.4-1
- new upstream

* Fri Apr 04 2008 Colin Walters <walters@redhat.com> - 1.2.3-1
- new upstream

* Thu Mar 20 2008 Colin Walters <walters@redhat.com> - 1.2.2-1
- new upstream

* Wed Feb 27 2008 Colin Walters <walters@redhat.com> - 1.2.0-2
- Require desktop-data-model from -devel
- Add conflicts: on earlier Mugshot versions since we both ship libddm-1.so

* Tue Jan 29 2008 Colin Walters <walters@redhat.com> - 1.2.0-1
- initial splat into spec
